
abstract class Package::Backend::Packaging
	getter name : String

	def initialize(@name)
	end

	abstract def package(pkgdir : String, architecture : String, package : Package) : Bool
	def self.install(packages : Array(String))
		raise "'install' unimplemented for this backend, yet"
	end
	def install(packages : Array(String))
		self.install packages
	end
end

require "./backends/*"